DECLARE @CustomerNumber INT
DECLARE @RequestorId INT
DECLARE @CustomerId INT

DECLARE db_cur CURSOR LOCAL READ_ONLY FAST_FORWARD FOR
  SELECT CustomerNumber, RequestorId, CustomerId
  FROM CustomerOTA WITH (NOLOCK)
OPEN db_cur

FETCH NEXT FROM db_cur INTO @CustomerNumber, @RequestorId, @CustomerId

WHILE @@FETCH_STATUS = 0
BEGIN
  INSERT INTO CustomerOTAAction VALUES (@CustomerNumber, @RequestorId, @CustomerId, 1, 0) -- rate action send picasso price changes

  FETCH NEXT FROM db_cur INTO @CustomerNumber, @RequestorId, @CustomerId
END

CLOSE db_cur
DEALLOCATE db_cur
